Bug 234524 - www/sitecopy: unbreak build
Summary: www/sitecopy: unbreak build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-31 11:41 UTC by Helge Oldach
Modified: 2019-01-12 19:39 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback+
pi: merge-quarterly+


Attachments
patch (358 bytes, patch)
2018-12-31 11:41 UTC, Helge Oldach
no flags Details | Diff
patch +revision (534 bytes, patch)
2018-12-31 13:25 UTC, Helge Oldach
no flags Details | Diff
patch +revision (596 bytes, patch)
2019-01-01 12:30 UTC, Helge Oldach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2018-12-31 11:41:50 UTC
Created attachment 200647 [details]
patch

This port fails to build on 12 since about August 2018. It turns out that a dangling #define of ksize_t in the port sources is the culprit. The attached simple patch will fix it, please apply and bump PORTREVISION. (Note: portlint utters a few harmless warnings but no errors.)
Comment 1 Bugzilla Automation freebsd_committer 2018-12-31 11:41:50 UTC
Maintainer informed via mail
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-31 13:06:29 UTC
Thank you for the patch Helge.

Could you please:

- Update the patch to include the PORTREVISION bump
- Update ether your Bugzilla email address to match the ports current MAINTAINER line, or update the MAINTAINER line to match your current Bugzilla email address
- Confirm that this change passes QA (poudriere in particular)
- Set the maintainer-approval flag to + on attachments for ports you are maintainer of. Attachment -> Details -> maintainer-approval [+]
Comment 3 Helge Oldach 2018-12-31 13:25:24 UTC
Created attachment 200653 [details]
patch +revision
Comment 4 Helge Oldach 2018-12-31 13:26:53 UTC
(In reply to Kubilay Kocak from comment #2)
- done
- will not do - I am intentionally using different email addresses
- no clue how to achieve that :-(
- done
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-31 13:36:34 UTC
(In reply to Helge Oldach from comment #4)

Without the emails matching, we:

- can't verify maintainer'ship or patch provenance
- can't reliably obtain approvals from the maintainer for patches provided by people other than the maintainer
- can't have bugzilla set system/issue fields appropriately or automatically

We need the emails to match, for whichever email is preferred by the maintainer.

Details and instructions for testing ports can be found here:

https://www.freebsd.org/doc/en/books/porters-handbook/testing.html

Note also the distinction between maintainer-feedback flag (at the issue level), and maintainer-approval flag at the attachment level.

One is to acknowledge feedback, the other is to approve (or not) patches (attachments).

See: Attachment -> Details -> maintainer-approval flag
Comment 6 Helge Oldach 2018-12-31 13:54:25 UTC
(In reply to Kubilay Kocak from comment #5)
Again, I won't change email addresses. Note I am the only user at oldach.net so your administrative concerns are certainly met.

I won't install poudriere as my machine is not capable enough and installation of it is obviously overkill for this single line patch. I already noted about portlint results.

Flag semantics groked.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-31 14:05:12 UTC
(In reply to Helge Oldach from comment #6)

I understand, though unfortunately there's no way to objectively or reliably verify that. Part of maintainership involves following the processes of the project one is contributing to.

Certainly not for the sake of process, it reduces ambiguity, manual handling, saves us time, a resource that is limited, and ultimately benefits you, getting your changes addressed and into the hands of users sooner. This is a question of collaboration, not enforcement. I hope you'll reconsider.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-31 14:07:03 UTC
(In reply to Helge Oldach from comment #6)

For details on why change size is orthogonal to QA requirements, see:

https://lists.freebsd.org/pipermail/freebsd-ports/2018-December/115041.html
Comment 9 Helge Oldach 2018-12-31 15:18:56 UTC
(In reply to Kubilay Kocak from comment #7)
OK, so in case you still need approval from the port maintainer and don't trust my claim that he already approved the patch, I suggest that you obtain approval from him by email.
Comment 10 Helge Oldach 2019-01-01 12:30:42 UTC
Created attachment 200676 [details]
patch +revision

corrected patch: the dangling ksize_t was introduced by ports r335979, hence only consider for the related __FreeBSD_version onwards.
Comment 11 Helge Oldach 2019-01-01 12:32:29 UTC
(In reply to Helge Oldach from comment #10)
base r335979 of course
Comment 12 Kurt Jaeger freebsd_committer 2019-01-12 19:34:15 UTC
testbuilds are fine.
Comment 13 commit-hook freebsd_committer 2019-01-12 19:34:56 UTC
A commit references this bug:

Author: pi
Date: Sat Jan 12 19:34:15 UTC 2019
New revision: 490075
URL: https://svnweb.freebsd.org/changeset/ports/490075

Log:
  www/sitecopy: unbreak on 12 and later

  PR:		234524
  MFH:		2019Q1
  Submitted by:	Helge Oldach <freebsd@oldach.net> (maintainer)

Changes:
  head/www/sitecopy/Makefile
Comment 14 commit-hook freebsd_committer 2019-01-12 19:39:01 UTC
A commit references this bug:

Author: pi
Date: Sat Jan 12 19:38:55 UTC 2019
New revision: 490076
URL: https://svnweb.freebsd.org/changeset/ports/490076

Log:
  MFH: r490075

  www/sitecopy: unbreak on 12 and later

  PR:		234524
  Submitted by:	Helge Oldach <freebsd@oldach.net> (maintainer)
  Approved by:	portmgr (unbreak blanket)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/www/sitecopy/Makefile
Comment 15 Kurt Jaeger freebsd_committer 2019-01-12 19:39:27 UTC
Committed, thanks!